Bug 1777552 - baremetal ipi should not require mkisofs
Summary: baremetal ipi should not require mkisofs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Stephen Benjamin
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks: 1778894
TreeView+ depends on / blocked
 
Reported: 2019-11-27 19:35 UTC by Stephen Benjamin
Modified: 2020-05-04 11:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1778894 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:17:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 2728 0 'None' closed Bug 1778894: baremetal: update terraform-provider-ironic and use newer API 2021-01-04 17:30:48 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:18:13 UTC

Description Stephen Benjamin 2019-11-27 19:35:58 UTC
Currently the baremetal ipi platform requires mkisofs to build the Config drive containing user data. Ironic has the ability to build this for the user in the most recent versions. The fix for this should be backported to 4.3 so when installing baremetal via Hive this dependency isn’t required.

Comment 6 errata-xmlrpc 2020-05-04 11:17:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.